variable "cluster_name" {
  type        = string
  description = "le nom du cluster à créer"
}

variable "node_count" {
  type        = number
  description = "nombre d'instances à créer dans le pool de nœuds de cluster"
  default     = 1

  validation {
    condition     = var.node_count > 0
    error_message = "Le nombre de nœuds doit être supérieur à 0"
  }
}

variable "node_type" {
  type        = string
  description = "le type de nœud à créer dans le pool de nœuds de la grappe"
  default     = "DEV1-M"
}